tracker-control(1)

NAME
tracker-control - Manage Tracker processes and data

SYNOPSIS
tracker-control [OPTION...]

DESCRIPTION
tracker-control lists all tracker related processes when no OPTIONs are specified.

OPTIONS

-?, --help
    Show summary of options.

-k, --kill
    This uses SIGKILL to stop all Tracker processes found. This is not advised unless you are having problems stopping Tracker in the first place. This GUARANTEES death.

-t, --terminate
    This uses SIGTERM to stop all Tracker processes found. This is recommended over --kill because it gives the processes time to shutdown cleanly.

-r, --hard-reset
    This kills all processes in the same way that --kill does but it also removes all databases. Restarting tracker-store re-creates the databases.

-e, --soft-reset
    A soft reset works exactly the same way that --hard-reset does, with the exception that the backup and journal are not removed. These are restored when tracker-store is restarted.

-c, --remove-config
    This removes all config files in $HOME/.config/tracker. All files listed are files which were found and successfully removed. Restarting the respective processes re-creates the default configuration files.

-h, --remove-thumbnails
    This removes all thumbnail files in $HOME/.thumbnails/. All files listed are files which were found and successfully removed. These files are not re-generated until they are either requested by applications or a reindex is forced.

-V, --version
    Print version.

SEE ALSO
tracker-store(1).